curl -X GET https://api.muvi.video/v1/catalog/providers/google
import requests
response = requests.get(
"https://api.muvi.video/v1/catalog/providers/google"
)
data = response.json()
print(f"Provider: {data['name']}")
for model in data["models"]:
print(f" - {model['name']} ({model['capability']})")
const response = await fetch(
"https://api.muvi.video/v1/catalog/providers/google"
);
const data = await response.json();
console.log(`Provider: ${data.name}`);
data.models.forEach(model => {
console.log(` - ${model.name} (${model.capability})`);
});
{
"id": "google",
"name": "Google",
"description": "Google's AI video and image generation models",
"logoUrl": "https://cdn.muvi.video/providers/google.png",
"website": "https://ai.google",
"color": "#4285F4",
"models": [
{
"slug": "google/veo-3.1-fast/text-to-video",
"name": "Veo 3.1 Fast",
"description": "High-speed video generation",
"category": "video",
"capability": "text-to-video",
"pricing": {
"baseCredits": 50,
"unit": "per_generation"
},
"tags": ["fast", "hd"]
},
{
"slug": "google/nano-banana",
"name": "Nano Banana",
"description": "Image generation model",
"category": "image",
"capability": "text-to-image",
"pricing": {
"baseCredits": 10,
"unit": "per_generation"
},
"tags": ["fast", "image"]
}
]
}
Catalog
Get Catalog Provider
Get detailed information about a specific provider and all its available models.
GET
/
v1
/
catalog
/
providers
/
{id}
curl -X GET https://api.muvi.video/v1/catalog/providers/google
import requests
response = requests.get(
"https://api.muvi.video/v1/catalog/providers/google"
)
data = response.json()
print(f"Provider: {data['name']}")
for model in data["models"]:
print(f" - {model['name']} ({model['capability']})")
const response = await fetch(
"https://api.muvi.video/v1/catalog/providers/google"
);
const data = await response.json();
console.log(`Provider: ${data.name}`);
data.models.forEach(model => {
console.log(` - ${model.name} (${model.capability})`);
});
{
"id": "google",
"name": "Google",
"description": "Google's AI video and image generation models",
"logoUrl": "https://cdn.muvi.video/providers/google.png",
"website": "https://ai.google",
"color": "#4285F4",
"models": [
{
"slug": "google/veo-3.1-fast/text-to-video",
"name": "Veo 3.1 Fast",
"description": "High-speed video generation",
"category": "video",
"capability": "text-to-video",
"pricing": {
"baseCredits": 50,
"unit": "per_generation"
},
"tags": ["fast", "hd"]
},
{
"slug": "google/nano-banana",
"name": "Nano Banana",
"description": "Image generation model",
"category": "image",
"capability": "text-to-image",
"pricing": {
"baseCredits": 10,
"unit": "per_generation"
},
"tags": ["fast", "image"]
}
]
}
Authentication
This is a public endpoint. No authentication required.
Path Parameters
string
required
The unique identifier of the provider (e.g.,
google, alibaba).Response
string
Unique provider identifier.
string
Display name of the provider.
string
Description of the provider.
string
URL to the provider’s logo.
string
Provider’s official website.
string
Brand color hex code.
array
curl -X GET https://api.muvi.video/v1/catalog/providers/google
import requests
response = requests.get(
"https://api.muvi.video/v1/catalog/providers/google"
)
data = response.json()
print(f"Provider: {data['name']}")
for model in data["models"]:
print(f" - {model['name']} ({model['capability']})")
const response = await fetch(
"https://api.muvi.video/v1/catalog/providers/google"
);
const data = await response.json();
console.log(`Provider: ${data.name}`);
data.models.forEach(model => {
console.log(` - ${model.name} (${model.capability})`);
});
{
"id": "google",
"name": "Google",
"description": "Google's AI video and image generation models",
"logoUrl": "https://cdn.muvi.video/providers/google.png",
"website": "https://ai.google",
"color": "#4285F4",
"models": [
{
"slug": "google/veo-3.1-fast/text-to-video",
"name": "Veo 3.1 Fast",
"description": "High-speed video generation",
"category": "video",
"capability": "text-to-video",
"pricing": {
"baseCredits": 50,
"unit": "per_generation"
},
"tags": ["fast", "hd"]
},
{
"slug": "google/nano-banana",
"name": "Nano Banana",
"description": "Image generation model",
"category": "image",
"capability": "text-to-image",
"pricing": {
"baseCredits": 10,
"unit": "per_generation"
},
"tags": ["fast", "image"]
}
]
}
